Package tigase.monitor.tasks

# Class LoadCheckerTask

java.lang.Object
tigase.monitor.tasks.AbstractConfigurableTask
tigase.monitor.tasks.AbstractConfigurableTimerTask
tigase.monitor.tasks.LoadCheckerTask

All Implemented Interfaces:
  `Initializable`, `UnregisterAware`, `ConfigurableTask`, `InfoTask`, `MonitorTask`

@Bean(name="load-checker-task", parent=MonitorComponent.class, active=true) public class LoadCheckerTask extends AbstractConfigurableTimerTask implements InfoTask, Initializable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MONITOR_EVENT_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoadCheckerTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAverageLoadThreshold()`
  `Form`
  `getCurrentConfiguration()`
  `Form`
  `getTaskInfo()`
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `protected void`
  `run()`
  `void`
  `setAverageLoadThreshold(Long averageLoadThreshold)`
  `void`
  `setNewConfiguration(Form form)`

  ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTimerTask

  `beforeUnregister, disable, enable, getPeriod, getTimerTaskService, setPeriod, setTimerTaskService`

  ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

  `isEnabled, setEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MONITOR_EVENT_NAME

    public static final String MONITOR_EVENT_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LoadCheckerTask

    public LoadCheckerTask()

- ## Method Details

  - ### getAverageLoadThreshold

    public long getAverageLoadThreshold()

  - ### setAverageLoadThreshold

    public void setAverageLoadThreshold(Long averageLoadThreshold)

  - ### getCurrentConfiguration

    public Form getCurrentConfiguration()
    Specified by:
      `getCurrentConfiguration` in interface `ConfigurableTask`
    Overrides:
      `getCurrentConfiguration` in class `AbstractConfigurableTimerTask`

  - ### getTaskInfo

    public Form getTaskInfo()
    Specified by:
      `getTaskInfo` in interface `InfoTask`

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`
    Overrides:
      `initialize` in class `AbstractConfigurableTask`

  - ### setNewConfiguration

    public void setNewConfiguration(Form form)
    Specified by:
      `setNewConfiguration` in interface `ConfigurableTask`
    Overrides:
      `setNewConfiguration` in class `AbstractConfigurableTimerTask`

  - ### run

    protected void run()
    Specified by:
      `run` in class `AbstractConfigurableTimerTask`